<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use PDF;
use App\Book;
use App\Pengunjung;
use App\Pembayaran;

class PDFController extends Controller
{
    public function getPDF(){
    	$books=Book::all();
    	$pdf=PDF::loadView('pdf.buku', ['books'=>$books]);
    	return $pdf->download('buku.pdf');
    }

    public function getPDFPengunjung(){
    	$pengunjungs=Pengunjung::all();
    	$pdf=PDF::loadView('pdf.pengunjung', ['pengunjungs'=>$pengunjungs]);
    	return $pdf->download('pengunjung.pdf');
    }

     public function getPDFPembayaran(){
        $pembayarans=Pembayaran::all();
        $pdf=PDF::loadView('pdf.pembayaran', ['pembayarans'=>$pembayarans]);
        return $pdf->download('pembayaran.pdf');
    }
}
